libzypp: zypp::PublicKey::Impl Class Reference

libzypp 17.38.6

zypp::PublicKey::Impl Class Reference

PublicKey implementation. More...

## Public Member Functions
| Impl ()
| Impl (const Pathname &keyFile_r)
| Impl (const filesystem::TmpFile &sharedFile_r)
| Impl (const filesystem::TmpFile &sharedFile_r, const PublicKeyData &keyData_r)
| Impl (const PublicKeyData &keyData_r)
const PublicKeyData & | keyData () const
Pathname | path () const
const std::list< PublicKeyData > & | hiddenKeys () const

## Static Public Member Functions
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl.

## Protected Member Functions
void | readFromFile ()

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Private Attributes
shared_ptr< filesystem::TmpFile > | _dontUseThisPtrDirectly
PublicKeyData | _keyData
std::list< PublicKeyData > | _hiddenKeys

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

PublicKey implementation.

Definition at line 506 of file PublicKey.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/5]

zypp::PublicKey::Impl::Impl | ( |  | ) |
| inline

Definition at line 508 of file PublicKey.cc.

## ◆ Impl() [2/5]

zypp::PublicKey::Impl::Impl | ( | const Pathname & | keyFile_r | ) |
| inline

Definition at line 511 of file PublicKey.cc.

## ◆ Impl() [3/5]

zypp::PublicKey::Impl::Impl | ( | const filesystem::TmpFile & | sharedFile_r | ) |
| inline

Definition at line 526 of file PublicKey.cc.

## ◆ Impl() [4/5]

zypp::PublicKey::Impl::Impl | ( | const filesystem::TmpFile & | sharedFile_r,
|  | const PublicKeyData & | keyData_r )
| inline

Definition at line 531 of file PublicKey.cc.

## ◆ Impl() [5/5]

zypp::PublicKey::Impl::Impl | ( | const PublicKeyData & | keyData_r | ) |
| inline

Definition at line 543 of file PublicKey.cc.

## Member Function Documentation

## ◆ keyData()

const PublicKeyData & zypp::PublicKey::Impl::keyData | ( |  | ) | const
| inline

Definition at line 548 of file PublicKey.cc.

## ◆ path()

Pathname zypp::PublicKey::Impl::path | ( |  | ) | const
| inline

Definition at line 551 of file PublicKey.cc.

## ◆ hiddenKeys()

const std::list< PublicKeyData > & zypp::PublicKey::Impl::hiddenKeys | ( |  | ) | const
| inline

Definition at line 554 of file PublicKey.cc.

## ◆ readFromFile()

void zypp::PublicKey::Impl::readFromFile | ( |  | ) |
| inlineprotected

Definition at line 558 of file PublicKey.cc.

## ◆ nullimpl()

shared_ptr< Impl > zypp::PublicKey::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 594 of file PublicKey.cc.

## ◆ clone()

Impl * zypp::PublicKey::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 603 of file PublicKey.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _dontUseThisPtrDirectly

shared_ptr<filesystem::TmpFile> zypp::PublicKey::Impl::_dontUseThisPtrDirectly
| private

Definition at line 588 of file PublicKey.cc.

## ◆ _keyData

PublicKeyData zypp::PublicKey::Impl::_keyData
| private

Definition at line 589 of file PublicKey.cc.

## ◆ _hiddenKeys

std::list<PublicKeyData> zypp::PublicKey::Impl::_hiddenKeys
| private

Definition at line 590 of file PublicKey.cc.

The documentation for this class was generated from the following file:

- zypp-common/PublicKey.cc